console.info('Hello, World! (You will see this line every time server resources reload)');
//kubejs
//Amplified Portal Activator
onEvent('recipes', event => {
  event.recipes.createMechanicalCrafting('kubejs:amplified_portal_activator', [
    ' GGG ',
    'GGEGG',
    'GRSBG',
    'GGEGG',
    ' GGG '
  ], {
    S: 'minecraft:nether_star',
    E: 'elevatorid:elevator_brown',
    G: 'infernalexp:glow_glass',
    R: 'thermal:ender_bucket',
    B: 'thermal:glowstone_bucket'
  })
});
onEvent('recipes', event => {
  //wither crafts
  event.shaped('architects_palette:withered_bone', [
    'D D',
    'DDD',
    'D D'
  ], {
    D: 'kubejs:wither_dust'
  })
  event.shaped('minecraft:wither_rose', [
    ' D ',
    'DRD',
    ' D '
  ], {
    D: 'kubejs:wither_dust',
    R: 'biomesoplenty:rose'
  })
  event.shaped('kubejs:wither_shard', [
    'DDD',
    'DDD',
    'DDD'
  ], {
    D: 'kubejs:wither_dust'
  })
  event.shapeless('bhc:wither_bone', ['3x kubejs:wither_shard']);
  event.shaped('minecraft:wither_skeleton_skull', [
    'SSS',
    'SSS',
    'SSS'
  ], {
    S: 'kubejs:wither_shard'
  })
});
events.listen('recipes', function (e) {
//Decorative portal block
  e.shaped(item.of('kubejs:nether_portal', 1), [
    ' G ',
    'GBG',
    ' G '
  ], {
    G: 'minecraft:glass',
    B: 'betterportals:portal_fluid_bucket'
  })
});
